-- Micro Focus Software Inc
-- %version:		2.0 %
--
------------------------------------------
-- ASN1 Object ID's Defined as Follows:
--  joint-iso-ccitt(2) country(16) us(840) organization(1)
--  Novell(113719) applications(1) 
--
--	   Novell Printing  (4)  (x) (x) (x)
--    				 \ /  |	  |
-- 	 object identifier       (4) (0) (#)
--    attribute identifier       (5) (#) (#)
--
--OBJECT Definitions
--     iPrint Driver Store       (4) (0) (1)
--     iPrint Manager            (4) (0) (2)
--     iPrint Printer            (4) (0) (3)
--     iPrint Auxiliary Class	 (4) (0) (4)
--ATTRIBUTE Definitions
-- iPrint Driver Store Attrs     (5) (1) (#) unique for attribute
-- 	 iPrint Manager Attrs    (5) (2) (#) 
-- 	 iPrint Printer Attrs    (5) (3) (#)
--       iPrint misc. Attrs      (5) (4) (#) 
------------------------------------------
------------------------------------------
--  iPrint Auth Version 1.0 Schema Extensions
------------------------------------------
-- 
iPrintAuthSchemaExtentions DEFINITIONS ::=
BEGIN
"foreignDn" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  Flags       {DS_SINGLE_VALUED_ATTR},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 4 9}
}
"foreignModifyTime" ATTRIBUTE ::=
{
  SyntaxID        SYN_OCTET_STRING,
  Flags           {DS_SINGLE_VALUED_ATTR, DS_INTEGER64},
  ASN1ObjID   {2 16 840 1 113719 1 4 5 4 10}
}
"iPrintPrinterACL" ATTRIBUTE ::=
{
  SyntaxID    SYN_CI_STRING,
  ASN1ObjID   {2 16 840 1 113719 1 4 5 3 7}
}
"User" OBJECT-CLASS ::=
{
  Operation   MODIFY,
  MayContain  {"foreignDn", "foreignModifyTime"}
}
"Group" OBJECT-CLASS ::=
{
  Operation   MODIFY,
  MayContain  {"foreignDn", "foreignModifyTime"}
}
"iPrintPrinter" OBJECT-CLASS ::=
{
  Operation   MODIFY,
  MayContain  {"iPrintPrinterACL"}
}
END
